<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <!--HEADER CSS and JS import-->
    <template id="assets_frontend" name="Custom styles"
              inherit_id="web.assets_frontend">
        <xpath expr="." position="inside">
            <link rel='stylesheet'
                  href='/forksand_website/static/src/css/scrolling-nav.css'/>
            <link rel='stylesheet'
                  href='/forksand_website/static/src/css/baguetteBox.min.css'/>
            <script type="text/javascript"
                    src="/forksand_website/static/vendor/scrollreveal/js/scrollreveal.min.js"></script>
            <script type="text/javascript"
                    src="/forksand_website/static/src/js/scrolling-nav.js"></script>
            <script type="text/javascript"
                    src="/forksand_website/static/src/js/baguetteBox.min.js"></script>
            <script>
                baguetteBox.run('.tz-gallery');
            </script>
        </xpath>
    </template>

    <!--Inject fonts on layout-->
    <template id="font_wrapwrap" inherit_id="website.layout"
              name="Custom Header">
        <xpath expr="//div[@id='wrapwrap']/header" position="attributes">
            <attribute name="class">alternate-font</attribute>
        </xpath>
    </template>

    <template id="font_wrap" inherit_id="website.homepage"
              name="Custom Body">
        <xpath expr="//div[@id='wrap']" position="attributes">
            <attribute name="class">alternate-font</attribute>
        </xpath>
    </template>

    <template id="font_footer" inherit_id="footer_forksand"
              name="Automatic Footer">
         <xpath expr="//div[@id='footer']" position="attributes">
            <attribute name="class">alternate-font container hidden-print</attribute>
        </xpath>
        <xpath expr="//footer" position="attributes">
            <attribute name="class">bg-primary text-white</attribute>
        </xpath>
        <xpath expr="//a" position="attributes">
            <attribute name="class">bg-primary text-white</attribute>
        </xpath>
    </template>

    <!--Substitute googlemaps for openstreetmap-->
    <template id="layout" inherit_id="website.company_description">
        <xpath expr="//address/t[@t-if='not res_company.google_map_img()']" position="replace">
            <t/>
        </xpath>

        <xpath expr="//t[@t-if='res_company.google_map_img()']" position="replace">
            <t>
                <iframe class="img-fluid"
                        width="425"
                        height="350"
                        frameborder="0"
                        scrolling="no"
                        marginheight="0"
                        marginwidth="0"
                        src="https://www.openstreetmap.org/export/embed.html?bbox=-105.08792191743854%2C40.45830934706369%2C-105.08595049381258%2C40.46016648098172&amp;layer=mapnik"
                        style="border: 1px solid black">

                </iframe><br/><small><a href="https://www.openstreetmap.org/#map=19/40.45924/-105.08694&amp;layers=ND" target="_blank">View Larger Map</a></small>
            </t>
        </xpath>
    </template>
</odoo>